// Beta
/** * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*	XP Look and Feel                                                       *
*                                                                              *
*  (C) Copyright 2002, by Stefan Krause                                        *
*                                                                              *
*                                                                              *
*   This library is free software; you can redistribute it and/or modify it    *
*   under the terms of the GNU Lesser General Public License as published by   *
*   the Free Software Foundation; either version 2.1 of the License, or (at    *
*   your option) any later version.                                            *
*                                                                              *
*   This library is distributed in the hope that it will be useful,            *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of             *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                       *
*   See the GNU Lesser General Public License for more details.                *
*                                                                              *
*   You should have received a copy of the GNU General Public License along    *
*   with this program; if not, write to the Free Software Foundation, Inc.,    *
*   59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.                    *
*                                                                              *
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

package com.stefankrause.xplookandfeel;

import javax.swing.DefaultDesktopManager;
import javax.swing.JComponent;

/**  
 * This DesktopManager extends the standard DesktopManager in order to allow
 * rounded windows. It's job is to set dragMode to DEFAULT_DRAG_MODE.
 */

public class XPDesktopManager extends DefaultDesktopManager {

	public void beginDraggingFrame(JComponent f) {
	}

	public void dragFrame(JComponent f, int newX, int newY) {

		setBoundsForFrame(f, newX, newY, f.getWidth(), f.getHeight());
	}

	public void endDraggingFrame(JComponent f) {
	}

	public void resizeFrame(JComponent f, int newX, int newY, int newWidth, int newHeight) {

		setBoundsForFrame(f, newX, newY, newWidth, newHeight);
	}

	public void endResizingFrame(JComponent f) {
	}

}
